Subject: Re: bug#25521: 26.0.50; After (make-frame '((name . "foo"))) (select-frame-by-name "foo") doesn't see the frame

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Sep 2017 16:39:22 +0300

> Date: Wed, 27 Sep 2017 10:11:04 +0200
> From: martin rudalics <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, [email-masked], 
>  [email-masked]
> 
> Anyway, I'd proceed as follows:
> 
> (1) Install the xterm.c and w32term.c patches on the release branch.
> 
> (2) Ask Alex to play around with the settings.  If Alex can use the
>      variable to change the behavior from bad to good and back and there
>      are no problems with other users, let's consider this part as done
>      and the bug closed.
> 
> (3) Install the ‘select-frame-by-name’ patch on the release branch.
> 
> The reason why I think that (3) is good to have despite of (1) is that
> functions would behave reasonably well on systems where the user sets
> the timeout to zero.  Thus people who, for some reason, cannot or do not
> want a larger timeout have a fallback.  Differently put: A timeout of
> zero should work well as default too.
> 
> But let's wait for Eli to make a decision.

Maybe I'm missing some downsides of these suggestions, but they sound
fine to me.  Please go ahead, and thanks.